Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
rubysig.h File Reference
`#include "ruby/ruby.h"`
Include dependency graph for rubysig.h:

Go to the source code of this file.

## Macros
#define | RUBYSIG_H
#define | TRAP_BEG do {struct rb_blocking_region_buffer *__region = rb_thread_blocking_region_begin();
#define | TRAP_END rb_thread_blocking_region_end(__region);} while (0)
#define | RUBY_CRITICAL(statements) do {statements;} while (0)
#define | DEFER_INTS (0)
#define | ENABLE_INTS (1)
#define | ALLOW_INTS do {CHECK_INTS;} while (0)
#define | CHECK_INTS rb_thread_check_ints()

## Functions
| DEPRECATED (RUBY_EXTERN struct rb_blocking_region_buffer *rb_thread_blocking_region_begin(void))
| DEPRECATED (RUBY_EXTERN void rb_thread_blocking_region_end(struct rb_blocking_region_buffer *))

## Macro Definition Documentation

#define ALLOW_INTS do {CHECK_INTS;} while (0)

Definition at line 42 of file rubysig.h.

#define CHECK_INTS rb_thread_check_ints()

Definition at line 43 of file rubysig.h.

Referenced by lib_eventloop_core().

#define DEFER_INTS (0)

Definition at line 40 of file rubysig.h.

#define ENABLE_INTS (1)

Definition at line 41 of file rubysig.h.

#define RUBY_CRITICAL | ( |  | statements) |  | do {statements;} while (0)

Definition at line 39 of file rubysig.h.

#define RUBYSIG_H

Definition at line 20 of file rubysig.h.

#define TRAP_BEG do {struct rb_blocking_region_buffer *__region = rb_thread_blocking_region_begin();

Definition at line 37 of file rubysig.h.

#define TRAP_END rb_thread_blocking_region_end(__region);} while (0)

Definition at line 38 of file rubysig.h.

## Function Documentation

DEPRECATED | ( | RUBY_EXTERN struct rb_blocking_region_buffer * | rb_thread_blocking_region_beginvoid) |  |

DEPRECATED | ( | RUBY_EXTERN void | rb_thread_blocking_region_endstruct rb_blocking_region_buffer *) |  |